<?php

use Elementor\Utils;
use Elementor\Icons_Manager;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
list($animate_class, $animation_attr) = tfl_get_animation_atts($settings['widget_animation']);
$id = get_the_ID();
$_tfl_icon2_v2 = get_post_meta($id, '_tfl_icon2_v2', true);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('col-lg-3 col-md-6'); ?>>
    <div class="service2-inner">
        <div class="box-content">
            <div class="top-content">
                <div class="wrap-icon">
                <?php
                if ($_tfl_icon2_v2){
                    echo '<i class="'.$_tfl_icon2_v2.'"></i>';
                }
                ?>
                </div>
            </div>

            <div class="bottom-content">
                <div class="title">
                    <h5>
                        <a href="<?php the_permalink(); ?>">
                            <?php the_title(); ?>
                        </a>
                    </h5>

                </div>

                <div class="sub-content">
                    <?php the_excerpt(); ?>
                </div>

            </div>


            <a href="<?php the_permalink(); ?>" class="readmore">
                <?php
                echo $settings['rm_text'];
                if ((!empty($settings['rm_icon']) || !empty($settings['rm_icon']['value']))){
                    Icons_Manager::render_icon($settings['rm_icon'], ['aria-hidden' => 'true']);
                }
                ?>
            </a>
        </div>
    </div>
</article>
